package com.ningdatech.pmapi.projectlib.controller;


import com.ningdatech.basic.model.PageVo;
import com.ningdatech.pmapi.projectlib.manage.ProjectRenewalFundManage;
import com.ningdatech.pmapi.projectlib.model.dto.ProjectRenewalFundDeclarationDTO;
import com.ningdatech.pmapi.projectlib.model.req.ProjectRenewalListReq;
import com.ningdatech.pmapi.projectlib.model.vo.ProjectRenewalFundDeclarationVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 续建项目资金申请表 前端控制器
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-15
 */
@RestController
@RequestMapping("/api/v1/project/renewal")
@AllArgsConstructor
@Api(tags = "续建项目资金库")
public class ProjectRenewalFundDeclarationController {
    private final ProjectRenewalFundManage projectRenewalFundManage;

    @GetMapping("/list")
    @ApiOperation("项目续建资金库")
    public PageVo<ProjectRenewalFundDeclarationVO> list(ProjectRenewalListReq req) {
        return projectRenewalFundManage.list(req);
    }

    @GetMapping("/{id}")
    @ApiOperation("项目续建资金详情")
    private ProjectRenewalFundDeclarationVO detail (@PathVariable Long id){
        return projectRenewalFundManage.detail(id);
    }

    @PostMapping("/declared")
    @ApiOperation("项目续建资金申请")
    private Long declared (@Validated @RequestBody ProjectRenewalFundDeclarationDTO dto){
        return projectRenewalFundManage.declared(dto);
    }
}
